<template>
  <div id="app">
    <router-view />
  </div>
</template>

<script>
export default  {
  name:  'App',
    metaInfo() {
        return {
            title: this.$store.state.settings.dynamicTitle && this.$store.state.settings.title,
            titleTemplate: title => {
                return title ? `${title} - ${process.env.VUE_APP_TITLE}` : process.env.VUE_APP_TITLE
            }
        }
    },
     mounted: function () {
        var w = document.body.clientWidth;

        var style = document.createElement("style");
        style.type = "text/css";

        style.innerHTML =
            "html,body {margin: 0;background: #F8F8F8;width: 100%;font-size: " +
            (w * 1) / 1920 +
            "px;}";
        this.$store.state.sizef = (w * 1) / 192;
        document.body.appendChild(style);
    },
}
</script>
